%define name	kid3
%define version	0.10
%define release	%mkrel 1

Name:		%{name}
Summary:	ID3 tagger
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://kid3.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Requires:	id3lib
BuildRequires:	id3lib-devel libtunepimp-devel libflac++-devel libvorbis-devel
BuildRequires:	taglib-devel = 1.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Kid3 - Efficient ID3 Tagger

With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1 and ID3v2 tags
- Edit Ogg/Vorbis tags
- Edit FLAC tags
- Edit APE tags of MPC files
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate filenames from tags
- Rename and create directories from tags
- Generate playlist files
- Automatically convert upper and lower case and replace strings
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs and other
  sources of album data
- Export tags as CSV, HTML, playlists, Kover XML and in other formats

Authors: Urs Fleisch <ufleisch@users.sourceforge.net>


%prep

%setup -q


%build
%configure2_5x
%make


%install
rm -rf %buildroot
%makeinstall
%find_lang %{name}

# Debian-Menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name}  <<EOF
?package(%{name}): 
 command="%{_bindir}/%{name}" 
 needs="X11" 
 icon="%{name}.png" 
 section="Multimedia/Sound" 
 title="%{name}" 
 longtitle="%{summary}" 
 startup_notify="true" 
 xdg="true"
EOF

# XDG-Menu
desktop-file-install --vendor=mandriva \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Audio" \
  --add-category="AudioVideoEditing" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/applications/kde

# Icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
ln -s ../hicolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s ./hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s ../hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL LICENSE NEWS README

%{_docdir}/HTML/*
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/apps/%{name}/*
%{_iconsdir}/*


##### CHANGELOG #####
%changelog
* Tue Mar 04 2008 Oliver Burger <rpm@mandrivauser.de> 0.10-1mud2008.0
- new version 0.10

* Tue Oct 16 2007 Doktor5000 <rpm@mandrivauser.de> 0.9-6mud2008.0
- rebuild for Mandrivalinux 2008.0

* Wed Jul 07 2007 MaxiPunkt <email@domain.de> 0.9-5.max
- New version > 0.9
- Updated description
* Wed Nov 22 2006 MaxiPunkt <email@domain.de> 0.8.1-5.max
- New version > 0.8.1
- Fixed FLAC- / MusicBrainz support
- Updated path to *.desktop-file
- Updated description
* Fri Nov 19 2006 MaxiPunkt <email@domain.de> 0.7-4.max
- fixed large icons

* Fri Nov 03 2006 MaxiPunkt <email@domain.de> 0.7-3.max
- fixed XDG menu-entry

* Thu Oct 26 2006 Doktor5000 <rpm@mandrivauser.de> 0.7-1.2007mud
- rebuild for 2007
- new version

* Mon Oct 31 2005 Benjamin Lisci <rpm@mandrivauser.de> 0.6.1mud
- new version

* Sun Oct  9 2005 Benjamin Lisci <rpm@mandrivauser.de> 0.5-2mud
- rebuild for 2006

* Sun Sep 25 2005 Benjamin Lisci <rpm@mandrivauser.de> 0.5-1mud
- Initial release